Get VM Price
curl --request GET \
--url https://api.cloud.onidel.com/instance_priceimport requests
url = "https://api.cloud.onidel.com/instance_price"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cloud.onidel.com/instance_price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instance_type": "a2e55f7d-c741-4317-acce-124dc34ffaad",
"vcpu": 2,
"ram": 4096,
"disk": 20,
"bw": 123,
"net_rate": 123,
"price_per_month": 123,
"price_per_quarter": 123,
"price_per_semiannual": 123,
"price_per_annual": 123,
"currency": "<string>"
}Instance Price
Get VM Price
Get VM price based on the specified VM configuration parameters.
GET
/
instance_price
Get VM Price
Query Parameters
Number of virtual CPUs (vCPU)
Amount of RAM (in MB)
Disk size (in GB)
Deployment location
Currency used to retrieve the price
Available options:
aud, usd, eur Instance type identifier (UUID)
Response
Successful operation
Example:
"a2e55f7d-c741-4317-acce-124dc34ffaad"
Example:
2
Example:
4096
Example:
20